org.apache.storm.trident.drpc

## Class ReturnResultsReducer

- java.lang.Object
- - org.apache.storm.trident.drpc.ReturnResultsReducer

- All Implemented Interfaces:
    Serializable, MultiReducer<ReturnResultsReducer.ReturnResultsState>

      public class ReturnResultsReducer
      extends Object
      implements MultiReducer<ReturnResultsReducer.ReturnResultsState>

  See Also:
    Serialized Form

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `ReturnResultsReducer.ReturnResultsState`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ReturnResultsReducer()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `cleanup()`
    `void` | `complete(ReturnResultsReducer.ReturnResultsState state, TridentCollector collector)`
    `void` | `execute(ReturnResultsReducer.ReturnResultsState state, int streamIndex, TridentTuple input, TridentCollector collector)`
    `ReturnResultsReducer.ReturnResultsState` | `init(TridentCollector collector)`
    `void` | `prepare(Map<String,Object> conf, TridentMultiReducerContext context)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ReturnResultsReducer

          public ReturnResultsReducer()

  - ### Method Detail

    - #### prepare

          public void prepare(Map<String,Object> conf,
                              TridentMultiReducerContext context)

      Specified by:
        `prepare` in interface `MultiReducer<ReturnResultsReducer.ReturnResultsState>`

    - #### init

          public ReturnResultsReducer.ReturnResultsState init(TridentCollector collector)

      Specified by:
        `init` in interface `MultiReducer<ReturnResultsReducer.ReturnResultsState>`

    - #### execute

          public void execute(ReturnResultsReducer.ReturnResultsState state,
                              int streamIndex,
                              TridentTuple input,
                              TridentCollector collector)

      Specified by:
        `execute` in interface `MultiReducer<ReturnResultsReducer.ReturnResultsState>`

    - #### complete

          public void complete(ReturnResultsReducer.ReturnResultsState state,
                               TridentCollector collector)

      Specified by:
        `complete` in interface `MultiReducer<ReturnResultsReducer.ReturnResultsState>`

    - #### cleanup

          public void cleanup()

      Specified by:
        `cleanup` in interface `MultiReducer<ReturnResultsReducer.ReturnResultsState>`

Copyright © 2019 The Apache Software Foundation. All rights reserved.